{
  lib,
  stdenv,
  rustPlatform,
  fetchFromGitHub,
  ...
}:
rustPlatform.buildRustPackage rec {
  pname = "rot8000";
  version = "0.0.1";

  src = fetchFromGitHub {
    owner = "haraldh";
    rev = "3e3c4e4d6ed5b572ca2b09c8dc7f5bc3bd86e554";
    repo = "mailsmudge";
    sha256 = "sha256-4cG4Mn94lewxj1qstor8R0xLWIBFxf0rOHTMxzgHyFQ=";
  };

  cargoLock = {
    lockFile = ./Cargo.lock;
  };

  meta = with lib; {
    description = "mailsmudge";
    homepage = "https://github.com/haraldh/mailsmudge";
    license = licenses.unlicense;
    maintainers = [ maintainers.tailhook ];
  };
}
